#include <iostream>
#include <iomanip>
using namespace std;

double max(double br1, double br2){
	
	double m = br1;
	
	if(br2 > m) m = br2;

	return m;
	
}

int main(){
	
	long N;

	cin >> N;
	
	long Ai[N] = {};
	double Pi[N] = {}, vrednost[N] = {}, b;
	
	
	for(int i = 1; i <= N; i++){
		
		cin >> Ai[i] >> Pi[i];

	}

	for(int i = 1; i <= N; i++){
		
			vrednost[i] = 0;
			
		for(int v = 1; v <= N; v++){
		
		
		if (Pi[i] <= Pi[v]) vrednost[i] += Ai[v] * Pi[i] / 100;
			
	}
			
	}
	for(int z = 2; z <= N; z++){
		
		b = max(vrednost[z - 1], vrednost[z]);
		
	}
	
	std::cout << std::setprecision(4) << std::fixed << b << std::endl;
	
	return 0;
	
}